package com.example.julian.endlessroll.entities;

import com.example.julian.endlessroll.data.Vector;
import com.example.julian.endlessroll.entities.textures.Texture;
import com.example.julian.endlessroll.levels.PositionData;

public class Star extends Entity {

    private final static float SIZE = 0.25f;
    private int index;

    public Star(int index, Texture texture, PositionData data) {
        super(texture, new Vector(data.getX(), data.getY()), SIZE, SIZE);
        this.index = index;
    }

    public int getIndex() {
        return index;
    }
}
