package com.example.julian.endlessroll.main.game;

import com.example.julian.endlessroll.entities.Entity;
import com.example.julian.endlessroll.entities.particles.ParticleSystem;
import com.example.julian.endlessroll.entities.textures.TexturePack;
import com.example.julian.endlessroll.levels.worlds.Theme;

public class StartScene extends Scene {

    public StartScene(TexturePack texturePack, ParticleSystem particleSystem) {
        super(texturePack, particleSystem);
        terrain.createEndless(Theme.ICY_MOUNTAINS, -.8f);
        player.init(terrain.getEdge(), 0.5f, 0.5f);
        super.add(player);
    }

    @Override
    protected void removeEntityFromAllLists(Entity entity) {
    }
}