package com.example.julian.endlessroll.entities;

import com.example.julian.endlessroll.data.Vector;
import com.example.julian.endlessroll.entities.textures.Texture;
import com.example.julian.endlessroll.levels.PositionData;

public class Energy extends AnimatedEntity {

    private final static float SIZE = 0.3f;

    public Energy(Texture texture, PositionData data) {
        super(texture, new Vector(data.getX(), data.getY()), SIZE, SIZE);
        animation.setLooping(true);
        animation.setRequiredDelta(130);
    }
}
