package com.example.julian.endlessroll.entities.collision.geometry;

import com.example.julian.endlessroll.data.Vector;
import com.example.julian.endlessroll.entities.Player;

/**
 * Created by Julian on 01.12.2015.
 */
public class Circle implements Geometry {

    private Vector center;
    private float radius;

    public Circle(Player ball) {
        this(new Vector(ball.getPosition()), ball.getWidth() / 2);
    }

    public Circle(Vector center, float radius) {
        this.center = center;
        this.radius = radius;
    }

    public Vector getCenter() {
        return center;
    }

    public void setCenter(Vector center) {
        this.center = center;
    }

    public float getRadius() {
        return radius;
    }

    public void setRadius(float radius) {
        this.radius = radius;
    }
}
